package com.liquidnet.service.adam.service;

import com.liquidnet.service.adam.dto.AdamAccountWalletParam;
import com.liquidnet.service.adam.entity.AdamAccountWallet;

import java.util.List;

/**
 * <p>
 * 账户钱包 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2020-10-19
 */
public interface IAdamAccountWalletService {

    /**
     * select
     */
    AdamAccountWallet selectOne(AdamAccountWalletParam param);

    List<AdamAccountWallet> selectList(AdamAccountWalletParam param);

    /**
     * insert
     */
    int insert(AdamAccountWallet adamAccountWallet);

    /**
     * update
     */
    int updateById(AdamAccountWallet adamAccountWallet);

    /**
     * delete wallet
     */
    int deleteWallet(String comId, String finWalletNo);

    /**
     * update
     *
     * @param adamAccountWallet update dto
     * @param param             update param
     */
    int update(AdamAccountWallet adamAccountWallet, AdamAccountWalletParam param);

}
